#!/bin/sh
#********************************************************************************
# (c) Copyright [2017-2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates 
# and licensors (“Micro Focus”) are as may be set forth in the express warranty 
# statements accompanying such products and services. Nothing herein should be 
# construed as constituting an additional warranty. Micro Focus shall not be liable 
# for technical or editorial errors or omissions contained herein. The information 
# contained herein is subject to change without notice.
#********************************************************************************

#Include library
. /opt/novell/iprintmobile/bin/lib.sh

#Return Code
RVAL=0
IPRINT_MOBILE_MIGRATE_JAR="$LIB_PATH/iprint-db-utils-iPrint-3.0.0-SNAPSHOT.jar"

#Check Java
CheckJava
RVAL=$?

if [ $RVAL -ne 0 ] ; then
  exit $RVAL
fi

if [ $# -eq 0 ] ; then
    #Run the command
    su - tomcat -c "$JAVA -Xmx1024m -Dstorage.keepOpen=false -cp $IPRINT_MOBILE_MIGRATE_JAR com.novell.service.iPrint.mobile.db.migrate.OrientDBCleaner"
    RVAL=$?

    if [ $RVAL -ne 0 ] ; then
      echo "$FATAL Failed to clean up iPrint Mobile server." | tee -a "${ERR_LOG}"
    fi

    exit $RVAL
fi

if [ $1 == 'backup' ] ; then
    #Run the command
    su - tomcat -c "$JAVA -Xmx2048m -Dstorage.keepOpen=false -cp $IPRINT_MOBILE_MIGRATE_JAR com.novell.service.iPrint.mobile.mgmt.Backup"
    RVAL=$?

    if [ $RVAL -ne 0 ] ; then
      echo "$FATAL Failed to clean up iPrint Mobile server." | tee -a "${ERR_LOG}"
    fi

    exit $RVAL
fi

if [ $1 == 'restore' ] ; then
    #Run the command
    su - tomcat -c "$JAVA -Xmx2048m -Dstorage.keepOpen=false -cp $IPRINT_MOBILE_MIGRATE_JAR com.novell.service.iPrint.mobile.mgmt.Restore"
    RVAL=$?

    if [ $RVAL -ne 0 ] ; then
      echo "$FATAL Failed to restore iPrint Mobile server." | tee -a "${ERR_LOG}"
    fi

    exit $RVAL
fi
