#!/bin/sh
#********************************************************************************
# (c) Copyright [2021] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates 
# and licensors (“Micro Focus”) are as may be set forth in the express warranty 
# statements accompanying such products and services. Nothing herein should be 
# construed as constituting an additional warranty. Micro Focus shall not be liable 
# for technical or editorial errors or omissions contained herein. The information 
# contained herein is subject to change without notice.
#********************************************************************************
# This script is used to migrate cups related files to iprint-cups specific file path.

#Include library
. /opt/novell/iprintmobile/bin/lib.sh
ERR_LOG="/var/opt/novell/log/iprintmobile/migrate_iprint_cups.log"

MigrateiPrintCupsDir()
{
	if [ ! -f $IPRINT_CUPS_CONF_FILE ] ; then
		systemctl mask cups --now > /dev/null 2>&1
		cp $CUPS_CONF_FILE $IPRINT_CUPS_CONF_FILE >> "${ERR_LOG}" 2>&1
		cp /etc/cups/cups-files.conf $IPRINT_CUPSFILES_CONF_FILE >> "${ERR_LOG}" 2>&1
		cp -r /etc/cups/ppd  $IPRINT_CUPS_PATH/ >> "${ERR_LOG}" 2>&1
		cp /etc/cups/printers.conf* $IPRINT_CUPS_PATH/ >> "${ERR_LOG}" 2>&1
		sed -i '/#ServerRoot/a\ServerRoot /etc/opt/novell/iprintmobile/cups' $IPRINT_CUPSFILES_CONF_FILE >> "${ERR_LOG}" 2>&1
		sh /opt/novell/iprintmobile/bin/set_permissions.sh cups
		#Start iPrint-CUPS
		systemctl start $IPRINT_CUPS_SERVICE >> "${ERR_LOG}" 2>&1
		#Lets wait for iPrint-CUPS to initialize
		sleep 5
		systemctl status $IPRINT_CUPS_SERVICE >> "${ERR_LOG}" 2>&1
	fi
}

MigrateiPrintCupsToSecondryStorage()
{
	if [ -f "/etc/Novell-VA-release" ] ;  then
		if [ ! -d /etc/opt/novell/iprintmobile/cups_local ] ; then
			mkdir -p /vastorage/iprint$IPRINT_CUPS_PATH
			mv $IPRINT_CUPS_PATH /etc/opt/novell/iprintmobile/cups_local
			/bin/rm -r $IPRINT_CUPS_PATH
			ln -s /vastorage/iprint$IPRINT_CUPS_PATH $IPRINT_CUPS_PATH
		fi
	fi	
}
touch $ERR_LOG
MigrateiPrintCupsToSecondryStorage
isCluster
if [[ $? -ne 1 ]]; then
	MigrateiPrintCupsDir
else
	#This is to delete directory created in SP1/SP2 October patch for cups for bug 1173542.
	isPoolRunningOnThisNode
	if [[ $? -eq 0 ]]; then
		LOCAL_MEDIA_CUPS_DIR="$(readlink /etc/cups)"
		if [ -d $LOCAL_MEDIA_CUPS_DIR ]; then
			echo "Deleting local $LOCAL_MEDIA_CUPS_DIR for cups." >> ${ERR_LOG}
			rm -r $LOCAL_MEDIA_CUPS_DIR
		fi
	fi		
fi
