#!/bin/sh
#****************************************************************************
# Copyright  2018 Novell, Inc.  All Rights Reserved.
# THIS WORK IS  SUBJECT  TO  U.S.  AND  INTERNATIONAL  COPYRIGHT  LAWS  AND
# TREATIES.   NO  PART  OF  THIS  WORK MAY BE  USED,  PRACTICED,  PERFORMED
# COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,  ABRIDGED, CONDENSED,
# EXPANDED,  COLLECTED,  COMPILED,  LINKED,  RECAST, TRANSFORMED OR ADAPTED
# WITHOUT THE PRIOR WRITTEN CONSENT OF NOVELL, INC. ANY USE OR EXPLOITATION
# OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT THE PERPETRATOR TO
# CRIMINAL AND CIVIL LIABILITY.
#****************************************************************************

#Realm Configuration File Path
REALM_CONF_FILE="/etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf"

APACHE="/usr/sbin/rcapache2"

function Usage()
{
   echo "This tool is used to change the realm name."
   echo "Usage: $0 -n <realm_name> |  -r" 
   echo "-n   - new realm name."
   echo "-r    - retrieves current realm name."
   exit 0
}

function changeRealm()
{
   sed -i 's/AuthName \".*\"/AuthName \"'$1'\"/g' $REALM_CONF_FILE
   if [ $? -eq 0 ] ; then
      $APACHE status 2>&1
      if [ $? -eq 0 ] ; then
         $APACHE restart 2>&1
         exit $? 
      fi
   else
      exit 1
   fi
   exit 0
}

function retrieveRealm()
{
   cat $REALM_CONF_FILE | grep  "AuthName" | awk -F"\"" '{print $2}'
   exit $?
}

if [ "$#" -lt "1" ];then
  Usage  
fi

while getopts n:rh o
do
   case "$o" in
      n) changeRealm $OPTARG;;
      r) retrieveRealm;;
      h) Usage;;
      *) Usage;;
   esac
done
