#!/bin/sh
#****************************************************************************
# Copyright  2013 Novell, Inc.  All Rights Reserved.
# THIS WORK IS  SUBJECT  TO  U.S.  AND  INTERNATIONAL  COPYRIGHT  LAWS  AND
# TREATIES.   NO  PART  OF  THIS  WORK MAY BE  USED,  PRACTICED,  PERFORMED
# COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,  ABRIDGED, CONDENSED,
# EXPANDED,  COLLECTED,  COMPILED,  LINKED,  RECAST, TRANSFORMED OR ADAPTED
# WITHOUT THE PRIOR WRITTEN CONSENT OF NOVELL, INC. ANY USE OR EXPLOITATION
# OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT THE PERPETRATOR TO
# CRIMINAL AND CIVIL LIABILITY.
#****************************************************************************

#This script re-configures Tomcat AJP connector on a different port (18009) other than 8009 on OES11/2015 Servers as it conflicts with NRM.

#Include library
. /opt/novell/iprintmobile/bin/lib.sh

  #Check if AJP port is configured
  AJP_PORT=`echo "cat  //Connector" | xmllint --shell $TOMCAT_SERVER_XML | grep AJP | awk -F"\"" '{print $2}'`

# AJP port=8009 for fresh install and 18009 for upgrade; in both case overwrite
echo "Updating AJP port in $TOMCAT_SERVER_XML file to $CUSTOM_AJP_PORT " >> "${ERR_LOG}" 2>&1 
sed -i "s/<Connector port=\"$AJP_PORT\".*/\<Connector port=\"$CUSTOM_AJP_PORT\" protocol=\"AJP\/1.3\" redirectPort=\"8443\" URIEncoding=\"UTF-8\"\/\>/" "$TOMCAT_SERVER_XML" >> "${ERR_LOG}" 2>&1 
#Update the Apache configuration file
echo "$INFO Updating Apache configuration with port $CUSTOM_AJP_PORT." >> "${ERR_LOG}" 2>&1
sed -i "/^ProxyPass.*.ajp.*/s/:[0-9]\+/:$CUSTOM_AJP_PORT/" "$APACHE_CONF_FILE"
echo "$INFO Restart Tomcat and Apache." >> "${ERR_LOG}" 2>&1

