#!/bin/sh
#****************************************************************************
# Copyright (c) 2016 Novell, Inc.  All Rights Reserved.
# THIS WORK IS  SUBJECT  TO  U.S.  AND  INTERNATIONAL  COPYRIGHT  LAWS  AND
# TREATIES.   NO  PART  OF  THIS  WORK MAY BE  USED,  PRACTICED,  PERFORMED
# COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,  ABRIDGED, CONDENSED,
# EXPANDED,  COLLECTED,  COMPILED,  LINKED,  RECAST, TRANSFORMED OR ADAPTED
# WITHOUT THE PRIOR WRITTEN CONSENT OF NOVELL, INC. ANY USE OR EXPLOITATION
# OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT THE PERPETRATOR TO
# CRIMINAL AND CIVIL LIABILITY.
#****************************************************************************

#Include library
. /opt/novell/iprintmobile/bin/lib.sh
RVAL=0

#iPrint Migrate Utility

if [! -d /tmp/iPrint_Mobile_Backup/vastorage/backup/iprint_mobile_config ]; then
	echo "/tmp/iPrint_Mobile_Backup/vastorage/backup/iprint_mobile_config not found. Nothing to be done" | tee -a "${ERR_LOG}"
	exit $RVAL
fi

mv /tmp/iPrint_Mobile_Backup/vastorage/backup/iprint_mobile_config/*.csv /tmp/
mv /tmp/iPrint_Mobile_Backup/vastorage/backup/iprint_mobile_config/*.blob /tmp/

#Return Code
IPRINT_MOBILE_MIGRATE_JAR="$LIB_PATH/iprint-db-utils-iPrint-3.0.0-SNAPSHOT.jar"

if [ ! -f "$IPRINT_MOBILE_MIGRATE_JAR" ]; then
  echo "$FATAL Could not find $IPRINT_MOBILE_MIGRATE_JAR. Corrupt installation." | tee -a "${ERR_LOG}"
  exit $INSTALL_ERROR
fi 

CheckJava
RVAL=$?

if [ $RVAL -ne 0 ] ; then
  exit $RVAL
fi
#Run the command
su - tomcat -c "$JAVA -Xmx1024m -Dstorage.keepOpen=false -jar $IPRINT_MOBILE_MIGRATE_JAR"
RVAL=$?

if [ $RVAL -ne 0 ] ; then
  echo "$FATAL Failed to migrate iPrint Mobile server." | tee -a "${ERR_LOG}"
fi

rm /tmp/*.csv
rm /tmp/*.blob
exit $RVAL
