#!/bin/sh
#****************************************************************************
# Copyright (c) 2017 Novell, Inc.  All Rights Reserved.
# THIS WORK IS  SUBJECT  TO  U.S.  AND  INTERNATIONAL  COPYRIGHT  LAWS  AND
# TREATIES.   NO  PART  OF  THIS  WORK MAY BE  USED,  PRACTICED,  PERFORMED
# COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,  ABRIDGED, CONDENSED,
# EXPANDED,  COLLECTED,  COMPILED,  LINKED,  RECAST, TRANSFORMED OR ADAPTED
# WITHOUT THE PRIOR WRITTEN CONSENT OF NOVELL, INC. ANY USE OR EXPLOITATION
# OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT THE PERPETRATOR TO
# CRIMINAL AND CIVIL LIABILITY.
#****************************************************************************
COPIES=""
FILENAME=""
PAGES=""
RVAL=1
while getopts i:o:p:c: option
do
 case "${option}"
 in
 c) COPIES=${OPTARG};;
 p) PAGES=${OPTARG};;
 i) INFILE=$OPTARG;;
 o) OUTFILE=$OPTARG;;
 esac
done

if [[ -z "$COPIES" && -z "$PAGES" ]]; then
   cp $INFILE $OUTFILE
fi

if [[ ! -z "$COPIES" && -z "$PAGES" ]]; then
   if [ $COPIES -gt 1 ]; then
     counter=2
     files=""
     while [ $counter -le "$COPIES" ]
     do
       cp $INFILE $OUTFILE.$counter
       files=$files" "$OUTFILE.$counter
       ((counter++))
     done
     qpdf $INFILE --pages $INFILE$files -- $OUTFILE
     rm $files
   else
     cp $INFILE $OUTFILE
   fi
fi

if [[ -z "$COPIES" && ! -z "$PAGES" ]]; then
    /usr/bin/qpdf "$INFILE" --pages "$INFILE" "$PAGES" -- "$OUTFILE"
fi

if [[ ! -z "$PAGES" && ! -z "$COPIES" ]]; then
   /usr/bin/qpdf "$INFILE" --pages "$INFILE" "$PAGES" -- "$OUTFILE"
   mv $OUTFILE $INFILE
   if [ $COPIES -gt 1 ]; then
     counter=2
     files=""
     while [ $counter -le "$COPIES" ]
     do
       cp $INFILE $OUTFILE.$counter
       files=$files" "$OUTFILE.$counter
       ((counter++))
     done
     qpdf $INFILE --pages $INFILE$files -- $OUTFILE
     rm $files
   else
     cp $INFILE $OUTFILE
   fi
fi

if [[ -f "$OUTFILE" ]]; then
      RVAL=0  
fi
exit $RVAL
